JVM 1.6 support on Talend 6.0.1

One Star

JVM 1.6 support on Talend 6.0.1

Hi ,
I recently upgraded from 5.6.1 to 6.0.1. I used to be able to run standalone jobs that was built using 5.6.1 on java 1.6 target environment without any issue but since we upgraded to 6.0.1 the standalone job built in this version of talend is giving me error.
We are unable to upgrade the target environment (Websphere 7.0) yet. Any help will be much appreciated.
Here is the error I get.
Exception in thread "main" java.lang.UnsupportedClassVersionError: JVMCFRE003 bad major version; class=wcs/test_0_1/test, offset=6
        at java.lang.ClassLoader.defineClassImpl(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:275)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:69)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:540)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:451)
        at java.net.URLClassLoader.access$300(URLClassLoader.java:79)
        at java.net.URLClassLoader$ClassFinder.run(URLClassLoader.java:1038)
        at java.security.AccessController.doPrivileged(AccessController.java:284)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:429)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:653)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:358)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:619)
Could not find the main class: wcs.test_0_1.test.  Program will exit.
C:\Temp\talendtesting\test_0.1\test>java -version
java version "1.6.0"
Java(TM) SE Runtime Environment (build pwi3260sr9fp1ifix-20110401_01(SR9 FP1+IZ95392+IZ95393+IZ97453))
IBM J9 VM (build 2.4, JRE 1.6.0 IBM J9 2.4 Windows 7 x86-32 jvmwi3260sr9-20110216_75791 (JIT enabled, AOT enabled)
J9VM - 20110216_075791
JIT  - r9_20101028_17488ifx4
GC   - 20101027_AA)
JCL  - 20110401_02
Sixteen Stars

Re: JVM 1.6 support on Talend 6.0.1

Java 6 is no longer supported. Due to significant changes between Java 1.6 and 1.8 Talend's code will not work with Java 1.6. This is what you are seeing below. You will need to roll back to 5.6 or upgrade your version of Java.
One Star

Re: JVM 1.6 support on Talend 6.0.1

Thanks